recursive subroutine rec(Name)
  character*(*) Name
  call rec(name(1:len(name)-1))
end
recursive integer function recfie(i)
  integer i
  if (i == 0) then
    recfie = 0
  else
    recfie = i + recfie(i-1)
  endif
end
